---@meta

---@class UUI_Thumbstick_C : UUserWidget
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Stick UImage
---@field Container USizeBox
---@field TrackInput boolean
---@field ['Initial Touch Location'] FVector2D
---@field Position FVector2D
---@field ['Stick Input'] FUI_Thumbstick_CStick Input
---@field ['Thumbstick Size'] FVector2D
---@field ['Invert X'] boolean
---@field ['Invert Y'] boolean
---@field ['Scale Output'] double
---@field ['Touch Target'] ETouchIndex::Type
local UUI_Thumbstick_C = {}

---@param FingerIndex ETouchIndex::Type
UUI_Thumbstick_C['Touch Input Check'] = function(self, FingerIndex) end
---@param IsDesignTime boolean
function UUI_Thumbstick_C:PreConstruct(IsDesignTime) end
---@param MyGeometry FGeometry
---@param InDeltaTime float
function UUI_Thumbstick_C:Tick(MyGeometry, InDeltaTime) end
---@param EntryPoint int32
function UUI_Thumbstick_C:ExecuteUbergraph_UI_Thumbstick(EntryPoint) end
---@param NewParam FVector2D
UUI_Thumbstick_C['Stick Input__DelegateSignature'] = function(self, NewParam) end


